# Kubernetes-keystone

This charm deploys a service that provides
[Webhook Token Authentication](https://kubernetes.io/docs/reference/access-authn-authz/authentication/)
to `Kubernetes` through `OpenStack Keystone`.


# Deployment

This is a subordinate charm to the
[kubernetes-master charm](https://github.com/kubernetes/kubernetes/tree/master/cluster/juju/layers/kubernetes-master).
In order to deploy it, do:

   $ juju deploy cs:~csd-garr/kubernetes-keystone
   $ juju add-relation kubernetes-master kubernetes-keystone


# Configuration

This charm supports some configuration options to set up a `Webhook
Token Authentication` server for `Keystone`:

#### keystone-url
URL of the Keystone endpoint.

#### k8s-keystone-auth-url
URL for downloading the Keystone authentication server.

#### authn-server-url
The URL of the `Keystone` endpoint.

#### authz-server-url
URL for the Webhook authorization server.


# More information

 - [Kubernetes github project](https://github.com/kubernetes/kubernetes)
 - [Kubernetes documentation](http://kubernetes.io/docs/)

# Contact

The `kubernetes-keystone` charm is free and open source operations created
by the `CSD team` at `GARR` <csd@garr.it>. 

