#!/bin/bash
set -a

K8S_KEYSTONE_AUTH={{ k8s_keystone_auth_path }}
KEYSTONE_URL={{ keystone_url }}
KEYSTONE_POLICY={{ keystone_policy }}
APISERVER_CERT=/root/cdk/server.crt
APISERVER_KEY=/root/cdk/server.key
SYNC_CONFIG=/root/cdk/sync-config.yaml
KUBE_CONFIG=/home/ubuntu/config

$K8S_KEYSTONE_AUTH --tls-cert-file $APISERVER_CERT \
    --tls-private-key-file $APISERVER_KEY \
    --keystone-url $KEYSTONE_URL \
#    --keystone-policy-file $KEYSTONE_POLICY \
    --sync-config-file $SYNC_CONFIG \
    --kubeconfig $KUBE_CONFIG
