#!/bin/sh
# Test for launching cloud provider server

KEYSTONE_URL=https://keystone.cloud.garr.it:5000/v3
APISERVER_CERT=/root/cdk/apiserver.crt
APISERVER_KEY=/root/cdk/apiserver.key
SYNC_CONFIG=/root/cdk/sync-config.yaml

./k8s-keystone-auth --tls-cert-file $APISERVER_CERT \
  --tls-private-key-file $APISERVER_KEY \
  --keystone-url $KEYSTONE_URL \
  --policy-configmap-name k8s-auth-policy \
  --sync-config-file $SYNC_CONFIG \
  --kubeconfig ~/config
